ServerSocketIO (Jython API documentation)
Date: 2017-06-30

org.python.core.io

## Class ServerSocketIO

- java.lang.Object
- - org.python.core.io.IOBase
  - - org.python.core.io.RawIOBase
    - - org.python.core.io.SocketIOBase<ServerSocketChannel>
      - - org.python.core.io.ServerSocketIO

-     public class ServerSocketIO
      extends SocketIOBase<ServerSocketChannel>

  Raw I/O implementation for server sockets.
  Author:
    Philip Jenvey

- - ### Field Summary

    - ### Fields inherited from class org.python.core.io.IOBase

      `DEFAULT_BUFFER_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerSocketIO(ServerSocketChannel socketChannel, String mode)` Construct a ServerSocketIO for the given ServerSocketChannel.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `readinto(ByteBuffer buf)` Read up to buf.remaining() bytes into buf.
    `int` | `write(ByteBuffer buf)` Write the given ByteBuffer to the IO stream.

    - ### Methods inherited from class org.python.core.io.SocketIOBase

      `close, getChannel, readable, writable`

    - ### Methods inherited from class org.python.core.io.RawIOBase

      `fileno, read, readall, readinto, write`

    - ### Methods inherited from class org.python.core.io.IOBase

      `asInputStream, asOutputStream, checkClosed, checkReadable, checkWritable, closed, flush, isatty, seek, seek, tell, truncate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerSocketIO

          public ServerSocketIO(ServerSocketChannel socketChannel,
                                String mode)

      Construct a ServerSocketIO for the given ServerSocketChannel.
      Parameters:
        `socketChannel` - a ServerSocketChannel to wrap
        `mode` - a raw io socket mode String

  - ### Method Detail

    - #### readinto

          public int readinto(ByteBuffer buf)

      Description copied from class: `RawIOBase`
      Read up to buf.remaining() bytes into buf. Returns number of bytes read (0 for EOF).
      Overrides:
        `readinto` in class `RawIOBase`
      Parameters:
        `buf` - a ByteBuffer to read bytes into
      Returns:
        the amount of data read as an int

    - #### write

          public int write(ByteBuffer buf)

      Description copied from class: `RawIOBase`
      Write the given ByteBuffer to the IO stream. Returns the number of bytes written, which may be less than buf.remaining().
      Overrides:
        `write` in class `RawIOBase`
      Parameters:
        `buf` - a ByteBuffer value
      Returns:
        the number of bytes written as an int

Jython homepage